extends ./../template.pug

block stylesheets
    link(rel="stylesheet", href="/static/stylesheets/item.css")

block content
    .container
        h1 Edition de l’article
        - url = "/item/edit/" + ref + "/?name=" + name + "&price=" + price + "&quantity=" + quantity + "&shop=" + shop + "&section=" + section
        form(action= url, method="post")
            .form-group
                label(for="selectSection") Nom
                input(class="form-control" type="text" name="name" placeholder="Nom" value= name)
                if errors.name
                    .alert.alert-danger.mt-2 #{errors.name.msg}
            .form-group
                label(for="selectSection") Quantité
                input(class="form-control" type="text" name="quantity" placeholder="Quantité" value= quantity)
                if errors.quantity
                    .alert.alert-danger.mt-2 #{errors.quantity.msg}
            .form-group
                label(for="selectSection") Prix (€)
                input(class="form-control" type="text", name="price" placeholder="Prix" value= price)
                if errors.price
                    .alert.alert-danger.mt-2 #{errors.price.msg}
            .form-group
                label(for="selectSection") Rayon
                select(class="form-control" id="selectSection" name="selectSection")
                    each value in sectionDAO
                        if section == value.id
                            option(value=value.id selected="selected") #{value.nom}
                        else
                            option(value=value.id) #{value.nom}
            .form-group
                label(for="selectShop") Magasin
                select(class="form-control" id="selectShop" name="selectShop")
                    each value in shopDAO
                        if shop === value.id
                            option(value=value.id selected="selected") #{value.nom} - #{value.ville}
                        else
                            option(value=value.id) #{value.nom} - #{value.ville}
            button(type="submit" class="btn btn-block btn-success") Editer
        form(action="/item/delete/" + ref, method="post").mt-2
            button(type="submit" class="btn btn-block btn-danger") Supprimer